Page MenuHomePhabricator

Provide public getter for reference geometry of sliced geometries
Closed, ResolvedPublic

Description

mitk::SlicedGeomerty3D provides a setter to set the reference geometry, but it does not provide a getter. The setter sets the same geometry as reference geometry to every internal plane geometry, and mitk::PlaneGeometry provides a public setter and getter.

Since you can access the reference geometry of the sliced geometry through its composing plane geometries, there is no reason not to have a getter in mitk::SlicedGeometry3D itself.

Same applies to HasReferenceGeometry().

I will send a PR that fixes these inconsistencies in the API and ensures constness of the reference geometry.

Related Objects

Event Timeline

espak created this task.Oct 29 2016, 10:20 AM

Rationale:

I have a view that contains a viewer based on QmitkStdMultiWidget. The view has to show the contents of the focused render window of the main display but from a different orientation.

When the focus changes in the main display, this "side viewer" is initialised by the geometry of the newly focused renderer. However, by having only the geometry of one renderer, I cannot recreate the same geometries for each renderer as in the main display. For that I need to get the reference geometry, i.e. the geometry that was used to initialise each render window of the main display.

kislinsk claimed this task.Nov 17 2016, 3:06 PM
kislinsk edited projects, added MITK (2016-11); removed Request for Discussion, MITK.
kislinsk closed this task as Resolved.Nov 17 2016, 3:46 PM
goch moved this task from Backlog to Suggested on the MITK (2016-11) board.Nov 29 2016, 12:26 PM
goch moved this task from Suggested to Included on the MITK (2016-11) board.Nov 29 2016, 2:32 PM